// DA SISTEMARE

package jsetl.test;

import jsetl.LObject;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import jsetl.CP;
import jsetl.LSet;

import junit.framework.TestCase;

public class CPexpandTest extends TestCase {

	@Before
	public void setUp() {
		LObject.USEJOLLYTOKEN = true;
	}

	@After
	public void tearDown(){LObject.USEJOLLYTOKEN = false;}
	
	@Test
	public void testExpandInizializzata() {
		LSet D = LSet.empty().ins(1).ins(2);
		LSet E = LSet.empty().ins(5).ins(7);
		CP f = new CP(D,E);
		LSet R = f.expand();
		System.out.print("expand inizializzata:");
		R.output();
		
	}
	
	@Test
	public void expandNonInizializzata() {
		LSet D = new LSet();
		LSet E = new LSet();
		CP f = new CP(D,E);
		LSet R = f.expand();
		R.output();	
		//deve fallire
	}
	
	@Test
	public void expandParzialmenteInizializzata() {
		LSet D = new LSet();
		LSet E = LSet.empty().ins(5).ins(7);
		CP f = new CP(D,E);
		LSet R = f.expand();
		R.output();
		//deve fallire
	}
	
	@Test
	public void expandVuota() {
		LSet D = LSet.empty();
		LSet E = LSet.empty();
		CP f = new CP(D,E);
		LSet R = f.expand();
		System.out.print("expand vuota:");
		LSet vuoto = LSet.empty();
		assertEquals(vuoto,R.getValue());
	}
	
}
