// non funziona 

package jsetl.test.CP;

import jsetl.*;
import jsetl.exception.Failure;

public class Constraint_size_CP {
		
    private static Solver solver = new Solver();
    public static void main (String[] args) throws Failure {
	//size({a,b} x {1,2},N)   --->  N = 4
		Solver solver = new Solver();
		LSet A = LSet.empty().ins('a').ins('b');
		LSet B = LSet.empty().ins(1).ins(2);
		CP cp = new CP(A,B);
		IntLVar N = new IntLVar("N");
		solver.solve(cp.size(N));
		N.output();
		
		//size({a,b} x {1,2},4)  --->  true
        solver.clearStore();
		LSet A1 = LSet.empty().ins('a').ins('b');
		LSet B1 = LSet.empty().ins(1).ins(2);
		CP cp1 = new CP(A1,B1);
		int N1 = 4;
        if (solver.check(cp1.size(N1)))
        	System.out.println("true"); 
        else
        	System.out.println("false"); 
	
	    //size({a,b} x {1,2},2)  --->  false
	    solver.clearStore();
		LSet A2 = LSet.empty().ins('a').ins('b');
		LSet B2 = LSet.empty().ins(1).ins(2);
		CP cp2 = new CP(A2,B2);
		int N2 = 2;
        if (solver.check(cp2.size(N2)))
        	System.out.println("true"); 
        else
        	System.out.println("false"); 
	
	    //size({} x {1,2}),N)  --->  N = 0
		LSet A3 = LSet.empty();
		LSet B3 = LSet.empty().ins(1).ins(2);
		IntLVar N3 = new IntLVar("N3");
		CP cp3 = new CP(A3,B3);
		solver.solve(cp3.size(N3));
		N3.output();
	
	    //size(A x B,0)  --->  A = {} or B = {}
		LSet A4 = new LSet("A4");
		LSet B4 = new LSet("B4");
		CP cp4 = new CP(A4,B4);
		IntLVar N4 = new IntLVar(0);
		solver.solve(cp4.size(N4));
		A4.output();
		B4.output();
		solver.nextSolution();
		A4.output();
		B4.output();
	
	//size(A x B,2)  
    //--->  A = {_N3},  B = {_N2,_N1}, _N2 neq _N1
    //--->  A = {_N3,_N2},  B = {_N1}, _N3 neq _N2
		LSet A5 = new LSet("A5");
		LSet B5 = new LSet("B5");
		CP cp5 = new CP("cp5",A5,B5);
		IntLVar N5 = new IntLVar("N5",2);
		cp5.output();
		N5.output();
		solver.solve(cp5.size(N5));
		A5.output();
		B5.output();
		solver.nextSolution();
		A5.output();
		B5.output();
	}
}

/*
N = 4
true
false
N3 = 0
A4 = {}
B4 = unknown
A4 = unknown
B4 = {}
cp5 = _A5 x _B5
N5 = 2
A5 = unknown  ------------> ???
B5 = unknown
A5 = unknown
B5 = unknown
*/


